Bug 215885 - sysutils/py-salt is missing configuration options
Summary: sysutils/py-salt is missing configuration options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-08 22:48 UTC by Erick Turnquist
Modified: 2017-02-09 17:01 UTC (History)
2 users (show)

See Also:
christer.edwards: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
patch restoring proper behavior using PYDISTUTILS_INSTALL_TARGET (1.01 KB, patch)
2017-01-08 22:48 UTC, Erick Turnquist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erick Turnquist 2017-01-08 22:48:54 UTC
Created attachment 178640 [details]
patch restoring proper behavior using PYDISTUTILS_INSTALL_TARGET

r427901 removes the install arguments from sysutils/py-salt installation ( https://svnweb.freebsd.org/ports/head/sysutils/py-salt/Makefile?r1=425737&r2=427901 ). The removal of these arguments causes Salt to be built with an invalid syspaths.py, particularly if installed somewhere other than /usr/local. As of 2016.11.0, the arguments cause an error, which I traced back to this PR having been included in the release: https://github.com/saltstack/salt/pull/31097/files . The removed code was deprecated, but included instructions on how to make the arguments continue to work: simply move them earlier in the command (ie., "python setup.py <args> install" instead of "python setup.py install <args>").

This is quite frustrating since python.mk (apparently) provides no elegant way to specify arguments earlier in the command. However, the attached patch gets the job done by abusing PYDISTUTILS_INSTALL_TARGET. The list of arguments here is the same as those that existed prior to the port being upgraded to 2016.11.0, minus --prefix, which is implied in python.mk.
Comment 1 Christer Edwards 2017-01-13 00:49:05 UTC
Comment on attachment 178640 [details]
patch restoring proper behavior using PYDISTUTILS_INSTALL_TARGET

Thank you for catching this!
Comment 2 Ben Woods freebsd_committer 2017-02-09 13:11:35 UTC
Committed - thanks for the detailed report Erick!
Comment 3 commit-hook freebsd_committer 2017-02-09 13:12:01 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Feb  9 13:10:54 UTC 2017
New revision: 433727
URL: https://svnweb.freebsd.org/changeset/ports/433727

Log:
  sysutils/py-salt: Restore install arguments post r427901 to fix syspaths.py

  Without PYDISTUTILS_INSTALL_TARGET setting the install arguments, salt
  will be built with an invalid syspaths.py, particularly if installed
  somewhere other than /usr/local.

  As of 2016.11.0, the arguments caused an error, which was traced back to
  https://github.com/saltstack/salt/pull/31097/files.
  The removed code was deprecated, but included instructions on how to
  make the arguments continue to work: simply move them earlier in the
  command (ie., "python setup.py <args> install" instead of
  "python setup.py install <args>").

  PR:		215885
  Submitted by:	Erick Turnquist <jhujhiti@adjectivism.org>
  Approved by:	Christer Edwards (maintainer)
  MFH:		2017Q1

Changes:
  head/sysutils/py-salt/Makefile
Comment 4 commit-hook freebsd_committer 2017-02-09 17:01:11 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Feb  9 17:00:13 UTC 2017
New revision: 433745
URL: https://svnweb.freebsd.org/changeset/ports/433745

Log:
  MFH: r433727

  sysutils/py-salt: Restore install arguments post r427901 to fix syspaths.py

  Without PYDISTUTILS_INSTALL_TARGET setting the install arguments, salt
  will be built with an invalid syspaths.py, particularly if installed
  somewhere other than /usr/local.

  As of 2016.11.0, the arguments caused an error, which was traced back to
  https://github.com/saltstack/salt/pull/31097/files.
  The removed code was deprecated, but included instructions on how to
  make the arguments continue to work: simply move them earlier in the
  command (ie., "python setup.py <args> install" instead of
  "python setup.py install <args>").

  PR:		215885
  Submitted by:	Erick Turnquist <jhujhiti@adjectivism.org>
  Approved by:	Christer Edwards (maintainer)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/sysutils/py-salt/Makefile